# startRestreaming()

The user who invoked the method will see a popup to enter the details of the target platform to restream to and start it.

```javascript
sambaFrame.startRestreaming();
```

{% hint style="info" %}
The method call will be ignored if restreaming is not enabled for the room or if a room restreaming is already in progress.
{% endhint %}

**Sample use cases**:&#x20;

* You may want to restream the meeting to a larger audience on Youtube, Cloudflare, etc...

{% hint style="info" %}
**startRestreaming** is often used in conjunction with [stopRecording](/reference/sdk/methods/stoprecording.md) method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/startrestreaming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
